AlmaLinux 2225 Published by

A nodejs:18 security, bug fix, and enhancement update has been released for AlmaLinux 9.



ALSA-2023:4330 Moderate: nodejs:18 security, bug fix, and enhancement update


Type:
security

Severity:
moderate

Release date:
2023-08-02

Description
The package has been upgraded to a later upstream version: nodejs (18). (BZ#2223314, BZ#2223316, BZ#2223318, BZ#2223319, BZ#2223320, BZ#2223354)
Security Fix(es):
* nodejs: mainModule.proto bypass experimental policy mechanism (CVE-2023-30581)
* nodejs: process interuption due to invalid Public Key information in x509 certificates (CVE-2023-30588)
* nodejs: HTTP Request Smuggling via Empty headers separated by CR (CVE-2023-30589)
* nodejs: DiffieHellman do not generate keys after setting a private key (CVE-2023-30590)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-30581
CVE-2023-30588
CVE-2023-30589
CVE-2023-30590
RHSA-2023:4330
ALSA-2023:4330

Updates packages:
npm-9.5.1-1.18.16.1.1.module_el9.2.0+31+cbae0c8e.aarch64.rpm
nodejs-full-i18n-18.16.1-1.module_el9.2.0+31+cbae0c8e.aarch64.rpm
npm-9.5.1-1.18.16.1.1.module_el9.2.0+31+cbae0c8e.x86_64.rpm
nodejs-full-i18n-18.16.1-1.module_el9.2.0+31+cbae0c8e.s390x.rpm
nodejs-devel-18.16.1-1.module_el9.2.0+31+cbae0c8e.ppc64le.rpm
nodejs-18.16.1-1.module_el9.2.0+31+cbae0c8e.ppc64le.rpm
nodejs-packaging-2021.06-4.module_el9.1.0+13+d9a595ea.noarch.rpm
nodejs-docs-18.16.1-1.module_el9.2.0+31+cbae0c8e.noarch.rpm
nodejs-packaging-bundler-2021.06-4.module_el9.1.0+13+d9a595ea.noarch.rpm
nodejs-full-i18n-18.16.1-1.module_el9.2.0+31+cbae0c8e.x86_64.rpm
nodejs-devel-18.16.1-1.module_el9.2.0+31+cbae0c8e.aarch64.rpm
npm-9.5.1-1.18.16.1.1.module_el9.2.0+31+cbae0c8e.s390x.rpm
nodejs-18.16.1-1.module_el9.2.0+31+cbae0c8e.s390x.rpm
nodejs-devel-18.16.1-1.module_el9.2.0+31+cbae0c8e.x86_64.rpm
npm-9.5.1-1.18.16.1.1.module_el9.2.0+31+cbae0c8e.ppc64le.rpm
nodejs-full-i18n-18.16.1-1.module_el9.2.0+31+cbae0c8e.ppc64le.rpm
nodejs-18.16.1-1.module_el9.2.0+31+cbae0c8e.aarch64.rpm
nodejs-devel-18.16.1-1.module_el9.2.0+31+cbae0c8e.s390x.rpm
nodejs-nodemon-2.0.20-2.module_el9.2.0+29+de583a0b.noarch.rpm
nodejs-18.16.1-1.module_el9.2.0+31+cbae0c8e.x86_64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:4330 Moderate: nodejs:18 security, bug fix, and enhancement update